Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.core
Class EventManager

    java.lang.Object
      com.gwtext.client.core.EventManager

    public class EventManager

extends java.lang.Object

Registers event handlers that want to receive a normalized EventObject instead of the standard browser event and provides several useful events directly.

Constructor Summary
`EventManager()`

Method Summary
`static void` | `addListener(com.google.gwt.user.client.Element element, java.lang.String eventName, EventCallback cb, ListenerConfig config)` Appends an event handler to an element.
`static void` | `addTextResizeListener(TextResizeListener listener)`
`static void` | `onDocumentReady(Function cb)` Fires when the document is ready (before onload and before images are loaded).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventManager

    public EventManager()

Method Detail

### addListener

    public static void addListener(com.google.gwt.user.client.Element element,
                                   java.lang.String eventName,
                                   EventCallback cb,
                                   ListenerConfig config)

  Appends an event handler to an element.

  Parameters:
    `element` - the element
    `eventName` - the event name
    `cb` - the callback to execute on event
    `config` - the listener config

### onDocumentReady

    public static void onDocumentReady(Function cb)

  Fires when the document is ready (before onload and before images are loaded). Can alternatively use the GWT entry point mechanism.

  Parameters:
    `cb` - callback to execute

### addTextResizeListener

    public static void addTextResizeListener(TextResizeListener listener)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD